Description

It's impossible to log in with any non internal auth source when any of the other auth sources are unreachable.
This happens because when you log in with an account from an external service, Foreman iterates through all available external
sources, and if one of them is unreachable and it comes up before the right one, it will throw a 500.

Steps to reproduce:

e Create several LDAP auth sources, with a wrong URL

¢ Create one LDAP auth source with the right URL

e Try to log in as an user of the right LDAP auth source

It should throw a 500 host unreachable that is not true, because it tried to contact other LDAP sources first.

History

#1 - 07/08/2014 07:53 AM - Daniel Lobato Garcia
- Assignee set to Daniel Lobato Garcia
Daniel Lobato Garcia wrote:
It's impossible to log in with any non internal auth source when any of the other auth sources are unreachable.
This happens because when you log in with an account from an external service, Foreman iterates through all available external sources, and if
one of them is unreachable and it comes up before the right one, it will throw a 500.
Steps to reproduce:
e Create several LDAP auth sources, with a wrong URL
e Create one LDAP auth source with the right URL

¢ Try to log in as an user of the right LDAP auth source
¢ |t should throw a 500 host unreachable that is not true, because it tried to contact other LDAP sources first.

To clarify, it's impossible to auto create new users in any LDAP source, logging in is still possible.

#2 - 07/08/2014 12:10 PM - Daniel Lobato Garcia

- Status changed from New to Rejected

Just an error in my setup, carry on..

#3 - 07/21/2014 06:51 AM - Dominic Cleal
- Target version deleted (1.8.0)
